For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The JournalEntry object
          • GET/journal-entries
          • POST/journal-entries
          • GET/journal-entries/{id}
          • GET/journal-entries/lines/remote-field-classes
          • GET/journal-entries/meta/post
          • GET/journal-entries/remote-field-classes
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsJournal Entries

/journal-entries

POST
/accounting/v1/journal-entries
POST
/api/accounting/v1/journal-entries
$curl -X POST https://api.merge.dev/api/accounting/v1/journal-entries \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "model": {}
>}'
201Created
1{
2 "model": {
3 "id": "ecbe05ac-62a3-46c5-ab31-4b478b37d1b4",
4 "remote_id": "088899",
5 "created_at": "2021-09-15T00:00:00Z",
6 "modified_at": "2021-10-16T00:00:00Z",
7 "transaction_date": "2020-03-31T00:00:00Z",
8 "payments": [
9 "b26fd49a-cbae-470a-a8f8-bcbc119e0390"
10 ],
11 "applied_payments": [
12 "4311155d-f236-4a5d-9e0f-1cb167e38f95"
13 ],
14 "memo": "Weekly Payment",
15 "currency": "USD",
16 "exchange_rate": "2.9",
17 "company": "595c8f97-2ac4-45b7-b000-41bdf43240b5",
18 "inclusive_of_tax": true,
19 "lines": [
20 {
21 "remote_id": "121222",
22 "account": "9d892439-5fab-4dbb-8bd8-34f7f96c7912",
23 "net_amount": 25.54,
24 "tracking_categories": [
25 "d25d609b-945f-4762-b55a-1c8fb220c43c",
26 "9b840d2-686a-465a-8a8e-7b028498f8e4",
27 "a47e11b6-c73b-4a0c-be31-130fc48177fa"
28 ],
29 "company": "595c8f97-2ac4-45b7-b000-41bdf43240b5",
30 "employee": "123c8r35-5kf5-12x5-r833-99bwf35210b5",
31 "project": "22e65a5d-2df5-4e6e-884a-e538d0339000",
32 "contact": "d2d5ea3c-b032-11ec-b909-0242ac120002",
33 "tax_rate": "a12e7c20-1922-9df7-s75n-edfeewnn7384",
34 "description": "Cash payment for lunch",
35 "exchange_rate": "2.9",
36 "remote_was_deleted": false
37 },
38 {
39 "remote_id": "121223",
40 "account": "f963f34d-3d2f-4f77-b557-cf36bc7e6498",
41 "net_amount": 10
42 }
43 ],
44 "journal_number": "42",
45 "tracking_categories": [
46 "b38c59b0-a9d7-4740-b1ee-5436c6751e3d",
47 "9b840d2-686a-465a-8a8e-7b028498f8e4",
48 "a47e11b6-c73b-4a0c-be31-130fc48177fa"
49 ],
50 "remote_was_deleted": true,
51 "posting_status": "POSTED",
52 "accounting_period": "655c8f97-2ac4-45b7-b000-41bdf43240b5",
53 "remote_created_at": "2020-03-31T00:00:00Z",
54 "remote_updated_at": "2020-03-31T00:00:00Z",
55 "field_mappings": {
56 "organization_defined_targets": {
57 "custom_key": "custom_value"
58 },
59 "linked_account_defined_targets": {
60 "custom_key": "custom_value"
61 }
62 },
63 "remote_data": [
64 {
65 "path": "/actions",
66 "data": null
67 }
68 ],
69 "remote_fields": [
70 {
71 "remote_field_class": {
72 "id": "string",
73 "display_name": "string",
74 "remote_key_name": "string",
75 "description": "string",
76 "is_custom": true,
77 "is_common_model_field": true,
78 "is_required": true,
79 "field_type": "string",
80 "field_format": "string",
81 "field_choices": [
82 "string"
83 ],
84 "item_schema": {
85 "item_type": "string",
86 "item_format": "string",
87 "item_choices": [
88 "string"
89 ]
90 }
91 },
92 "value": "string"
93 }
94 ]
95 },
96 "warnings": [
97 {
98 "title": "Unrecognized Field",
99 "detail": "An unrecognized field, age, was passed in with request data.",
100 "problem_type": "UNRECOGNIZED_FIELD",
101 "source": {
102 "pointer": "/age"
103 },
104 "block_merge_link": true,
105 "raw_error": "string",
106 "error_code": 1
107 }
108 ],
109 "errors": [
110 {
111 "title": "Missing Required Field",
112 "detail": "custom_fields is a required field on model.",
113 "problem_type": "MISSING_REQUIRED_FIELD",
114 "source": {
115 "pointer": "/model/custom_fields"
116 },
117 "block_merge_link": true,
118 "raw_error": "string",
119 "error_code": 1
120 }
121 ],
122 "logs": [
123 {
124 "log_id": "99433219-8017-4acd-bb3c-ceb23d663832",
125 "dashboard_view": "https://app.merge.dev/logs/99433219-8017-4acd-bb3c-ceb23d663832",
126 "log_summary": {
127 "url": "www.exampleintegration.com/api/v1/exampleapi",
128 "method": "POST",
129 "status_code": 200
130 }
131 }
132 ]
133}

Creates a JournalEntry object with the given values.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/journal-entries

Next

/journal-entries/{id}

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

is_debug_modebooleanOptional

Whether to include debug fields (such as log file links) in the response.

run_asyncbooleanOptional

Whether or not third-party updates should be run asynchronously.

Request

This endpoint expects an object.
modelobjectRequired

Description

The JournalEntry object is used to get a record of all manually created entries made in a company’s general ledger. The journal line items for each journal entry should sum to zero.

Usage Example

Fetch from the GET JournalEntry endpoint and view a company’s journey entry.

Response

modelobject

Description

A JournalEntry is a record of a transaction or event that is entered into a company’s accounting system.

The JournalEntry common model contains records that are automatically created as a result of a certain type of transaction, like an Invoice, and records that are manually created against a company’s ledger.

The lines of a given JournalEntry object should always sum to 0. A positive net_amount means the line represents a debit and a negative net_amount represents a credit.

Usage Example

Fetch from the GET JournalEntry endpoint and view a company’s journey entry.

warningslist of objects
errorslist of objects
logslist of objects